| Home | Libraries | People | FAQ | More

##### make_unfused_rvalue_args

###### Description

Creates a `unfused_rvalue_args` adapter for a given, unary Polymorphic Function Object. The usual element conversion is applied to the target function.

###### Synopsis

    template <typename F>
    inline typename make_unfused_rvalue_args<F>::type
    make_unfused_rvalue_args(F const & f);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`f` | Model of Polymorphic Function Object | The function to transform.

###### Expression Semantics

    make_unfused_rvalue_args(f);

Return type: A specialization of `unfused_rvalue_args`.

Semantics: Returns a `unfused_rvalue_args` adapter for `f`.

###### Header

    #include <boost/fusion/functional/generation/make_unfused_rvalue_args.hpp>
    #include <boost/fusion/include/make_unfused_rvalue_args.hpp>

###### Example

    struct sequence_printer
    {
        template <class Seq>
        struct result
        {
            typedef void type;
        };

        template <class Seq>
        void operator()(Seq const & s) const
        {
            std::cout << s << std::endl;
        }
    };

    void try_it()
    {
        make_unfused_rvalue_args(sequence_printer())
            (24,"bottles of beer in",'a',"box.");
    }

###### See also

- `unfused_rvalue_args`
- `deduce`
- `make_unfused_rvalue_args`